﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MultipleAxis
{
   public class ViewModel
    {
        public ObservableCollection<Model> Collection { get; set; }
        public ObservableCollection<Data> Details { get; set; }
        public ViewModel()
        {
            Collection = new ObservableCollection<Model>();
            Details = new ObservableCollection<Data>();

            Collection.Add(new Model() { XValue1 = 1, YValue1 = 450 });
            Collection.Add(new Model() { XValue1 = 2, YValue1 = 1500 });
            Collection.Add(new Model() { XValue1 = 3, YValue1 = 650 });
            Collection.Add(new Model() { XValue1 = 4, YValue1 = 3500 });
            Collection.Add(new Model() { XValue1 = 5, YValue1 = 2000 });
            Collection.Add(new Model() { XValue1 = 6, YValue1 = 4500 });

            Details.Add(new Data() { XValue2 = 1, YValue2 = 550 });
            Details.Add(new Data() { XValue2 = 70, YValue2 = 2550 });
            Details.Add(new Data() { XValue2 = 810, YValue2 = 750 });
            Details.Add(new Data() { XValue2 = 7500, YValue2 = 4250 });
            Details.Add(new Data() { XValue2 = 85000, YValue2 = 950 });
            Details.Add(new Data() { XValue2 = 743256, YValue2 = 3350 });

        }
    }
}
